Package org.eclipse.osgi.launch

## Class EquinoxFactory

- java.lang.Object
- - org.eclipse.osgi.launch.EquinoxFactory

All Implemented Interfaces:
  `FrameworkFactory`

    public class EquinoxFactory
    extends Object
    implements FrameworkFactory

The framework factory implementation for the Equinox framework.

Since:
  3.5

### Constructor Summary

Constructors
`EquinoxFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Framework` `newFramework​(Map<String,​String> configuration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EquinoxFactory

    public EquinoxFactory()

### Method Detail

#### newFramework

    public Framework newFramework​(Map<String,​String> configuration)

Specified by:
  `newFramework` in interface `FrameworkFactory`